API Reference

API Keys

Mint and revoke machine credentials (session only).

7 endpoints· Auth: JWT
get/api/v1/console/developers/api-keys JWT

Get api-keys

Query parameters

IncludeRevoked
boolean
—
Environment
string
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/developers/api-keys" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/developers/api-keys JWT

Create api-keys

Request body

application/json
{
  "name": "string",
  "description": "string",
  "environment": "string",
  "scopes": [
    "string"
  ],
  "expiresAt": "2026-09-30T18:07:54.332Z",
  "rateLimitPerMinute": 0,
  "quotaPerDay": 0,
  "allowedIps": [
    "string"
  ],
  "allowedOrigins": [
    "string"
  ]
}
name
string
—
description
string
—
environment
string
—
scopes
string[]
—
expiresAt
string (date-time)
—
rateLimitPerMinute
integer (int32)
—
quotaPerDay
integer (int64)
—
allowedIps
string[]
—
allowedOrigins
string[]
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/developers/api-keys" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "description": "string",
  "environment": "string",
  "scopes": [
    "string"
  ],
  "expiresAt": "2026-09-30T18:07:54.331Z",
  "rateLimitPerMinute": 0,
  "quotaPerDay": 0,
  "allowedIps": [
    "string"
  ],
  "allowedOrigins": [
    "string"
  ]
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/developers/api-keys/{id} JWT

Get id

Path parameters

idrequired
string (uuid)
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/developers/api-keys/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
put/api/v1/console/developers/api-keys/{id} JWT

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "description": "string",
  "rateLimitPerMinute": 0,
  "quotaPerDay": 0,
  "expiresAt": "2026-09-30T18:07:54.333Z"
}
name
string
—
description
string
—
rateLimitPerMinute
integer (int32)
—
quotaPerDay
integer (int64)
—
expiresAt
string (date-time)
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/developers/api-keys/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "description": "string",
  "rateLimitPerMinute": 0,
  "quotaPerDay": 0,
  "expiresAt": "2026-09-30T18:07:54.333Z"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/developers/api-keys/{id}/revoke JWT

Create revoke

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reasonCode": "string",
  "note": "string"
}
reasonCode
string
—
note
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/developers/api-keys/{id}/revoke" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "reasonCode": "string",
  "note": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/developers/api-keys/{id}/rotate JWT

Create rotate

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "graceMinutes": 0,
  "name": "string"
}
graceMinutes
integer (int32)
—
name
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/developers/api-keys/{id}/rotate" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "graceMinutes": 0,
  "name": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/developers/api-keys/scopes JWT

Get scopes

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/developers/api-keys/scopes" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com
Set credentials in the “Authorize” menu